#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
using namespace std;
bool cv(string s)
{
	int n = s.size();
	for (int i = 0; i < s.size() - 1; i++) {
		for (int j = i + 1; j < s.size(); j++) {
			if (s[i] == s[j]) {
				for (int k = i + 1; k < j; k++) {
					if (s[k] != s[i])
						return false;
				}
			}
		}
	}
	return true;
}
int r(string s, string t)
{
	string ss, tt;
	for (int i = s.size(); i < 10; i++)ss = "0" + ss;
	for (int i = t.size(); i < 10; i++)tt = "0" + tt;
	s = ss + s;
	t = tt + t;
	int ans = 0;
	for (int i = 0; i <= 10; i++) {
		if (s[i] != t[i])ans++;
	}
	return ans;
}
int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	cerr.tie(0);
	string s;
	cin >> s;
	int n = s.size();
	if (n <= 6) {
		int ans = 1e5 + 6;
		for (int i = 0; i <= pow(10, n) - 1; i++) {
			string t = to_string(i);
			if (cv(t)) {
				ans = min(ans, r(s, t));
			}
		}
		cout << ans;
	}
	else cout << 1;
	return 0;
}